# Gimp.Gradient.prototype.segment_range_delete

    function segment_range_delete(start_segment: Number(gint), end_segment: Number(gint)): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_delete()
    }

Delete the segment range

Deletes a range of segments. Returns an error when a segment index is out of range, or gradient is not editable. Deleting all the segments is undefined behavior.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

Returns

  TRUE on success.